View Issue Details

IDProjectCategoryView StatusLast Update
0001830Far ManagerCopy/Movepublic2011-08-02 11:54
ReporterMaximusAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001830: При попытке скопировать файл с сети в nul получаем elevation
DescriptionПри попытке скопировать файл с сети в nul получаем elevation
г==================== Access denied =====================¬
¦ You need to provide administrator permission ¦
¦ to get attributes of this object: ¦
¦ \\?\UNC\MAX\DISTR\nul ¦
¦ ¦
¦ [x] Do this for all current objects ¦
¦ [ ] Do not ask again in the current session ¦
¦--------------------------------------------------------¦
¦ { -- OK } [ Skip ] ¦
L========================================================-
Сервер локальный, Win7x64.
Additional InformationСтек
     Far.exe!elevation::fGetFileAttributes(const wchar_t * Object) Line 765 + 0x11 bytes C++
     Far.exe!apiGetFileAttributes(const wchar_t * lpFileName) Line 955 + 0x13 bytes C++
     Far.exe!apiGetFindDataEx(const wchar_t * lpwszFileName, FAR_FIND_DATA_EX & FindData, bool ScanSymLink) Line 764 + 0x9 bytes C++
     Far.exe!ShellCopy::ShellCopyOneFile(const wchar_t * Src, const FAR_FIND_DATA_EX & SrcData, UnicodeString & strDest, int KeepPathPos, int Rename) Line 2215 + 0x17 bytes C++
     Far.exe!ShellCopy::CopyFileTree(const wchar_t * Dest) Line 1951 + 0x28 bytes C++
     Far.exe!ShellCopy::ShellCopy(Panel * SrcPanel, int Move, int Link, int CurrentOnly, int Ask, int & ToPlugin, const wchar_t * PluginDestPath, bool ToSubdir) Line 1561 + 0x14 bytes C++
     Far.exe!FileList::ProcessCopyKeys(int Key) Line 4857 C++
     Far.exe!FileList::ProcessKey(int Key) Line 1777 C++
     Far.exe!FilePanels::ProcessKey(int Key) Line 810 + 0x19 bytes C++
     Far.exe!Manager::ProcessKey(unsigned long Key) Line 1150 + 0x19 bytes C++
     Far.exe!Manager::ProcessMainLoop() Line 718 C++
TagsNo tags attached.
Build2102

Activities

DrKnS

2011-07-07 21:00

administrator   bugnote:0007260

2101

Maximus

2011-07-08 02:08

reporter   bugnote:0007261

не до конца

Index: copy.cpp
===================================================================
--- copy.cpp (revision 6436)
+++ copy.cpp (working copy)
@@ -3170,7 +3170,7 @@
                     DestFile.SetEnd();
                     DestFile.Close();
 
- if (!Append)
+ if (!Append && !(Flags&FCOPY_COPYTONUL))
                     {
                         apiSetFileAttributes(strDestName,FILE_ATTRIBUTE_NORMAL);
                         apiDeleteFile(strDestName); //BUGBUG

DrKnS

2011-07-08 13:42

administrator   bugnote:0007264

2102

Issue History

Date Modified Username Field Change
2011-07-07 17:39 Maximus New Issue
2011-07-07 21:00 DrKnS Note Added: 0007260
2011-07-07 21:00 DrKnS Assigned To => DrKnS
2011-07-07 21:00 DrKnS Status new => feedback
2011-07-08 02:08 Maximus Note Added: 0007261
2011-07-08 02:08 Maximus Status feedback => assigned
2011-07-08 13:42 DrKnS Note Added: 0007264
2011-07-08 13:42 DrKnS Status assigned => feedback
2011-08-02 11:54 DrKnS Build => 2102
2011-08-02 11:54 DrKnS Status feedback => closed
2011-08-02 11:54 DrKnS Resolution open => fixed
2011-08-02 11:54 DrKnS Fixed in Version => 3.0